data:extend({
-- Item
  {
    type = "item",
    name = "ghost-e-car",
    icon = "__electric_ghost_car__/graphics/icon_ghost_car.png",
    flags = {"goes-to-quickbar"},
    subgroup = "transport",
    order = "b[personal-transport]-e[e-car]",
    place_result = "ghost-e-car",
    stack_size = 5
  },

--Recipe
  {
    type = "recipe",
    name = "ghost-e-car",
    energy_required = 30,
    enabled = true,
    ingredients =
    {
      --{"engine-unit", 10},
      {"electric-engine-unit", 4},
	  {"steel-plate", 6},
	  {"plastic-bar", 20},
      --{"battery", 7},
	  {"accumulator", 12},
      --{"basic-accumulator", 12},
    },
    result = "ghost-e-car"
  },

--Entity

  {
   type = "car",
    name = "ghost-e-car",
    icon = "__electric_ghost_car__/graphics/icon_ghost_car.png",
	   flags = {"pushable", "placeable-neutral", "player-creation","placeable-off-grid", "not-on-map"},
	   --collision_mask = { "ghost-layer" }, -- works!
	   collision_mask = { "resource-layer" },   
	   
	   
	-----------------
	
    minable = {mining_time = 1, result = "ghost-e-car"},
    max_health = 20,
    corpse = "medium-remnants",
    dying_explosion = "medium-explosion",
    energy_per_hit_point = 1,
    crash_trigger = crash_trigger(),
	
    resistances =
    {
      {
        type = "fire",
        percent = 10
      },
      {
        type = "impact",
        percent = 10,
        decrease = 30
      }
    },
	
    collision_box = {{-0.7, -1.1}, {0.7, 1.1}},
    selection_box = {{-0.7, -1.1}, {0.7, 1.1}},
    effectivity = 1,
    braking_power = "500kW", 
	

    burner =
    {
      effectivity = 0.01,
      fuel_inventory_size = 1,
	  emissions = 0,
    },

	

	
	-- but we don't need this :(
	energy_source =
    {
      type = "electric",
      buffer_capacity = "50MJ",
      usage_priority = "terciary",
      input_flow_limit = "3MW",
      output_flow_limit = "2MW",
	  emissions = 0,
	  drain = "1kW",
    },
	
	stationing_offset = {0, 0},
	
	charging_offsets =
    {
      {-0.5, -0.5}, {0.5, -0.5}, {0.5, 0.5}, {-0.5, 0.5},
    },
	
    --consumption = maxconsumption,
	consumption = "500kW", -- 680 hp
    friction = 1e-3,
	friction_force = 0.001, --
    air_resistance = 0.005, --
	
	-----------------------------------
	
    light =
    {
      {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 3,
          width = 200,
          height = 200
        },
      --shift = {-0.6, -21},
		shift = {0, -21},
        size = 2,
        intensity = 0.8
      },
      --[[
	  {
        type = "oriented",
        minimum_darkness = 0.3,
        picture =
        {
          filename = "__core__/graphics/light-cone.png",
          priority = "medium",
          scale = 2,
          width = 200,
          height = 200
        },
        shift = {0.6, -14},
        size = 2,
        intensity = 0.6
      }
	  ]]
    },
	
    animation =
    {
      layers =
      {
        {
          width = 100, --96
          height = 96, --92
          frame_count = 1,
          direction_count = 128,
          shift = {0, 0}, --{0, -0.1875},
          animation_speed = 8,
          max_advance = 0.2,
          stripes =
          {
            {
             filename = "__electric_ghost_car__/graphics/ghost_car.png",
             width_in_frames = 16, --2
             height_in_frames = 8, --22
            },
			--[[
            {
             filename = "__base__/graphics/entity/car/car-2.png",
             width_in_frames = 2,
             height_in_frames = 22,
            },
            {
             filename = "__base__/graphics/entity/car/car-3.png",
             width_in_frames = 2,
             height_in_frames = 20,
            },
			]]
          }
        },
		
        --[[
		{
          width = 100,
          height = 75,
          frame_count = 2,
          apply_runtime_tint = true,
          direction_count = 64,
          max_advance = 0.2,
          line_length = 2,
          shift = {0, -0.171875},
          stripes = util.multiplystripes(2,
          {
            {
              filename = "__base__/graphics/entity/car/car-mask-1.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/car/car-mask-2.png",
              width_in_frames = 1,
              height_in_frames = 22,
            },
            {
              filename = "__base__/graphics/entity/car/car-mask-3.png",
              width_in_frames = 1,
              height_in_frames = 20,
            },
          })
        },
		]]
		
       --[[ {
          width = 114,
          height = 76,
          frame_count = 2,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {0.28125, 0.25},
          max_advance = 0.2,
          stripes = util.multiplystripes(2,
          {
           {
            filename = "__base__/graphics/entity/car/car-shadow-1.png",
            width_in_frames = 1,
            height_in_frames = 22,
           },
           {
            filename = "__base__/graphics/entity/car/car-shadow-2.png",
            width_in_frames = 1,
            height_in_frames = 22,
           },
           {
            filename = "__base__/graphics/entity/car/car-shadow-3.png",
            width_in_frames = 1,
            height_in_frames = 20,
           },
          })
        } ]]
      }
    },
	
    --[[turret_animation =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/car/car-turret.png",
          line_length = 8,
          width = 36,
          height = 29,
          frame_count = 1,
          direction_count = 64,
          shift = {0.03125, -0.890625},
          animation_speed = 8,
        },
        {
          filename = "__base__/graphics/entity/car/car-turret-shadow.png",
          line_length = 8,
          width = 46,
          height = 31,
          frame_count = 1,
          draw_as_shadow = true,
          direction_count = 64,
          shift = {0.875, 0.359375},
        }
      }
    },
    turret_rotation_speed = 0.35 / 60,
    sound_no_fuel =
    {
      {
        filename = "__base__/sound/fight/car-no-fuel-1.ogg",
        volume = 0.6
      },
    },
	]]
	
    stop_trigger_speed = 0.2,
    stop_trigger =
    {
      {
        type = "play-sound",
        sound =
        {
          {
            filename = "__base__/sound/car-breaks.ogg",
            volume = 0.6
          },
        }
      },
    },
    sound_minimum_speed = 0.9;
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/car-engine.ogg",
        volume = 0.2
      },
      activate_sound =
      {
        filename = "__base__/sound/car-engine-start.ogg",
        volume = 0.2
      },
      deactivate_sound =
      {
        filename = "__base__/sound/car-engine-stop.ogg",
        volume = 0.2
      },
      match_speed_to_activity = true,
    },
    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
    rotation_speed = 0.015,
    weight = 200,
    -- guns = { "vehicle-machine-gun" },
    inventory_size = 5
  },
})